For the complete documentation index, see llms.txt. This page is also available as Markdown.

Email

Email sending

get
Path parameters
idinteger · int64Required
Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

typestring · enumOptional

type

Possible values:
fromstringOptional

Absender Email-Adresse

fromPersonalstringOptional

Absender Vollname

tostringOptional

Empfänger

ccstringOptional

CC

bccstringOptional

BCC

subjectstringOptional

Betreff

attachmentObjectReferencesstringOptional

Referenz zum Anhang

statestring · enumOptional

Stand dieser Email

Possible values:
get/cmn/emails/{id}
GET /api/cmn/emails/{id} HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "type": "INBOUND",
  "from": "text",
  "fromPersonal": "text",
  "to": "text",
  "cc": "text",
  "bcc": "text",
  "subject": "text",
  "content": {
    "html": "text",
    "text": "text"
  },
  "attachmentObjectReferences": "text",
  "state": "TO_DELIVER"
}
put
Path parameters
idinteger · int64Required
Query parameters
statestring · enumRequiredPossible values:
Responses
200

OK

No content

put/cmn/emails/{id}
PUT /api/cmn/emails/{id}?state=TO_DELIVER HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
200

OK

No content

delete
Path parameters
idinteger · int64Required
Responses
200

OK

No content

delete/cmn/emails/{id}
DELETE /api/cmn/emails/{id} HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
200

OK

No content

get
Path parameters
failureIdinteger · int64Required
Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

typestring · enumOptional

Typ

Possible values:
reasonstringOptional

Grund für den Fehler

timestampstring · date-timeOptional

Zeitstempel

get/cmn/emails/failures/{failureId}
GET /api/cmn/emails/failures/{failureId} HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "type": "BOUNCE",
  "reason": "text",
  "status": [],
  "timestamp": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?